
QGIS Application - Bug report #1153

crash in map composer

2008-07-13 03:51 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: nobody -

Category:

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11213

Description

QGIS crashes in map composer.

1. open the attached project (you will need to modify the path to the shapefile used; it's attached too)

2. press "Print" button

3. crash:

Debug: /home/shoofi/src/straight/qgis-trunk/src/providers/ogr/qgsogrprovider.cpp: 335: (getNextFeature) Feature is null

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgsmaprender.cpp: 366: (render) Done rendering map layers

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgsvectorlayer.cpp: 295: (drawLabels) Starting draw of labels

Debug: /home/shoofi/src/straight/qgis-trunk/src/core/qgsmaprender.cpp: 422: (render) Rendering done in (seconds): 0.057

scale = 1

Program received signal SIGSEGV, Segmentation fault.

[Switching to Thread 0x2b0b450aec80 (LWP 17362)]

0x00002b0b39a0d423 in QPainter::isActive (this=0x10f3af0) at painting/qpainter.cpp:1426

1426    painting/qpainter.cpp: No such file or directory.

    in painting/qpainter.cpp

(gdb) bt

#0  0x00002b0b39a0d423 in QPainter::isActive (this=0x10f3af0) at painting/qpainter.cpp:1426

#3905  0x00002b0b39a0fe89 in QPainter::clipPath (this=0x10f3af0) at painting/qpainter.cpp:2254

#3906  0x00002b0b39aac5fb in QX11PaintEngine::updateState (this=0x11327e0, state=@0x10e7070) at

painting/qpaintengine_x11.cpp:990

#3907  0x00002b0b39a12c5a in QPainterPrivate::updateStateImpl (this=0xfc11b0, newState=0x10e7070) at

painting/qpainter.cpp:884

#3908  0x00002b0b39a12d3b in QPainterPrivate::updateState (this=0xfc11b0, newState=0x10e7070) at

painting/qpainter.cpp:912

#3909  0x00002b0b39a1316c in QPainter::restore (this=<value optimized out>) at painting/qpainter.cpp:1546

#3910  0x00002b0b39e494d8 in QGraphicsScene::drawItems (this=<value optimized out>, painter=0x7fff719aba30,

numItems=4, items=0x10f3a20, options=<value optimized out>, 

    widget=0xa080a0) at graphicsview/qgraphicsscene.cpp:4029

#3911  0x00002b0b39e684db in QGraphicsView::paintEvent (this=0xa08260, event=<value optimized out>) at

graphicsview/qgraphicsview.cpp:3058

#3912  0x00002b0b3996d198 in QWidget::event (this=0x10f3af0, event=0x7fff719ac130) at kernel/qwidget.cpp:7065

#3913  0x00002b0b39e62c5b in QGraphicsView::viewportEvent (this=0xa08260, event=0x7fff719ac130) at

graphicsview/qgraphicsview.cpp:2267

#10 0x00002b0b39469768 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>,

receiver=0xa080a0, event=0x7fff719ac130)
    at kernel/qcoreapplication.cpp:694

#3914 0x00002b0b3991ae2c in QApplicationPrivate::notify_helper (this=0x96eda0, receiver=0xa080a0, e=0x7fff719ac130) at

kernel/qapplication.cpp:3768

#3915 0x00002b0b39922b2a in QApplication::notify (this=0x7fff719ae8f0, receiver=0xa080a0, e=0x7fff719ac130) at

kernel/qapplication.cpp:3739

#3916 0x00002b0b3946a491 in QCoreApplication::notifyInternal (this=0x7fff719ae8f0, receiver=0xa080a0,

event=0x7fff719ac130) at kernel/qcoreapplication.cpp:587

#3917 0x00002b0b3996bbcf in QWidgetPrivate::drawWidget (this=0xa649c0, pdev=0xa2f2c8, rgn=@0x7fff719ac390,

offset=@0x7fff719ac380, flags=4, sharedPainter=0x10f3af0)

    at kernel/qwidget.cpp:4491

#3918 0x00002b0b3996c2b5 in QWidgetPrivate::paintSiblingsRecursive (this=0xabf8d0, pdev=0xa2f2c8,

siblings=@0x7fff719ac560, index=0, rgn=@0x7fff719ac6d0, offset=@0x7fff719ac6c0, 

    flags=4, sharedPainter=0x10f3af0) at kernel/qwidget.cpp:4589

#3919 0x00002b0b3996b888 in QWidgetPrivate::drawWidget (this=0xabf8d0, pdev=0xa2f2c8, rgn=@0x7fff719ac6d0,

offset=@0x7fff719ac6c0, flags=4, sharedPainter=0x10f3af0)

    at kernel/qwidget.cpp:4532

#3920 0x00002b0b3996c2b5 in QWidgetPrivate::paintSiblingsRecursive (this=0xa35750, pdev=0xa2f2c8,

siblings=@0x7fff719ac8a0, index=0, rgn=@0x7fff719aca10, offset=@0x7fff719aca00, 

    flags=4, sharedPainter=0x10f3af0) at kernel/qwidget.cpp:4589

#3921 0x00002b0b3996b888 in QWidgetPrivate::drawWidget (this=0xa35750, pdev=0xa2f2c8, rgn=@0x7fff719aca10,

offset=@0x7fff719aca00, flags=4, sharedPainter=0x10f3af0)

    at kernel/qwidget.cpp:4532

#3922 0x00002b0b3996c2b5 in QWidgetPrivate::paintSiblingsRecursive (this=0xa32420, pdev=0xa2f2c8,

siblings=@0x7fff719acda0, index=0, rgn=@0x7fff719acaf0, offset=@0x7fff719acf00, 

    flags=4, sharedPainter=0x10f3af0) at kernel/qwidget.cpp:4589

#3923 0x00002b0b3996c1da in QWidgetPrivate::paintSiblingsRecursive (this=0xa32420, pdev=0xa2f2c8,

siblings=@0x7fff719acda0, index=2, rgn=@0x7fff719acbd0, offset=@0x7fff719acf00, 

    flags=4, sharedPainter=0x10f3af0) at kernel/qwidget.cpp:4579

#3924 0x00002b0b3996c1da in QWidgetPrivate::paintSiblingsRecursive (this=0xa32420, pdev=0xa2f2c8,

siblings=@0x7fff719acda0, index=3, rgn=@0x7fff719acf10, offset=@0x7fff719acf00, 

    flags=4, sharedPainter=0x10f3af0) at kernel/qwidget.cpp:4579

#3925 0x00002b0b3996b888 in QWidgetPrivate::drawWidget (this=0xa32420, pdev=0xa2f2c8, rgn=@0x7fff719acf10,

offset=@0x7fff719acf00, flags=4, sharedPainter=0x10f3af0)

    at kernel/qwidget.cpp:4532

#3926 0x00002b0b3996c2b5 in QWidgetPrivate::paintSiblingsRecursive (this=0xb15660, pdev=0xa2f2c8,

siblings=@0x7fff719ad2a0, index=1, rgn=@0x7fff719acff0, offset=@0x7fff719ad400, 

    flags=4, sharedPainter=0x10f3af0) at kernel/qwidget.cpp:4589

#3927 0x00002b0b3996c1da in QWidgetPrivate::paintSiblingsRecursive (this=0xb15660, pdev=0xa2f2c8,

siblings=@0x7fff719ad2a0, index=2, rgn=@0x7fff719ad0d0, offset=@0x7fff719ad400, 

    flags=4, sharedPainter=0x10f3af0) at kernel/qwidget.cpp:4579

#3928 0x00002b0b3996c1da in QWidgetPrivate::paintSiblingsRecursive (this=0xb15660, pdev=0xa2f2c8,

siblings=@0x7fff719ad2a0, index=3, rgn=@0x7fff719ad410, offset=@0x7fff719ad400, 

    flags=4, sharedPainter=0x10f3af0) at kernel/qwidget.cpp:4579

#3929 0x00002b0b3996b888 in QWidgetPrivate::drawWidget (this=0xb15660, pdev=0xa2f2c8, rgn=@0x7fff719ad410,

offset=@0x7fff719ad400, flags=4, sharedPainter=0x10f3af0)

    at kernel/qwidget.cpp:4532

#3930 0x00002b0b3996c2b5 in QWidgetPrivate::paintSiblingsRecursive (this=0xa43b10, pdev=0xa2f2c8,

siblings=@0x7fff719ad7a0, index=17, rgn=@0x7fff719ad4f0, offset=@0xa9c0a8, 

    flags=4, sharedPainter=0x10f3af0) at kernel/qwidget.cpp:4589

#3931 0x00002b0b3996c1da in QWidgetPrivate::paintSiblingsRecursive (this=0xa43b10, pdev=0xa2f2c8,

siblings=@0x7fff719ad7a0, index=18, rgn=@0x7fff719ad5d0, offset=@0xa9c0a8, 

---Type <return> to continue, or q <return> to quit---

    flags=4, sharedPainter=0x10f3af0) at kernel/qwidget.cpp:4579
#3932 0x00002b0b3996c1da in QWidgetPrivate::paintSiblingsRecursive (this=0xa43b10, pdev=0xa2f2c8,

siblings=@0x7fff719ad7a0, index=19, rgn=@0x7fff719ad990, offset=@0xa9c0a8, 

    flags=4, sharedPainter=0x10f3af0) at kernel/qwidget.cpp:4579

#3933 0x00002b0b3996b888 in QWidgetPrivate::drawWidget (this=0xa43b10, pdev=0xa2f2c8, rgn=@0x7fff719ad990,

offset=@0xa9c0a8, flags=4, sharedPainter=0x10f3af0)

    at kernel/qwidget.cpp:4532

#3934 0x00002b0b39abf8c9 in QWidgetBackingStore::cleanRegion (this=0xa9c090, rgn=<value optimized out>,

widget=0xa5f500, recursiveCopyToScreen=true)

    at painting/qbackingstore.cpp:1035

#3935 0x00002b0b39ac0529 in qt_syncBackingStore (rgn=<value optimized out>, widget=0xa5f500) at

painting/qbackingstore.cpp:245

#3936 0x00002b0b399781e2 in QETWidget::translatePaintEvent (this=0xa5f500, event=<value optimized out>) at

kernel/qapplication_x11.cpp:4720

#3937 0x00002b0b399850e5 in QApplication::x11ProcessEvent (this=0x7fff719ae8f0, event=0x7fff719ae2e0) at

kernel/qapplication_x11.cpp:3155

#3938 0x00002b0b399ac9cc in x11EventSourceDispatch (s=0x97c070, callback=0, user_data=0x0) at

kernel/qguieventdispatcher_glib.cpp:148

#36 0x00002b0b3d95d0f2 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0

#37 0x00002b0b3d960396 in ?? () from /usr/lib/libglib-2.0.so.0

#38 0x00002b0b3d96082f in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0

#39 0x00002b0b394928bf in QEventDispatcherGlib::processEvents (this=0x978a20, flags=<value optimized out>) at

kernel/qeventdispatcher_glib.cpp:325

#40 0x00002b0b399ac16f in QGuiEventDispatcherGlib::processEvents (this=0x10f3af0, flags=<value optimized out>) at

kernel/qguieventdispatcher_glib.cpp:204

#41 0x00002b0b39468da2 in QEventLoop::processEvents (this=<value optimized out>, flags={i = 1905976752}) at

kernel/qeventloop.cpp:149

#42 0x00002b0b39468f2d in QEventLoop::exec (this=0x7fff719ae5f0, flags={i = 1905976832}) at kernel/qeventloop.cpp:200

#43 0x00002b0b3946b3fd in QCoreApplication::exec () at kernel/qcoreapplication.cpp:845

#44 0x00000000004bc774 in main (argc=1, argv=0x7fff719aeeb8) at /home/shoofi/src/straight/qgis-trunk/src/app/main.cpp:685

History

#1 - 2008-08-25 11:52 PM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

Hi Maciej

Opening this project and composer seems to work now. Please reopen this bug if the problem still exists.

Marco

#2 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted

Files

check.qgs 7.79 KB 2008-07-13 Maciej Sieczka -
